Bug 1314445 - REST endpoints do not work on WebLogic 12c R1
REST endpoints do not work on WebLogic 12c R1
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.3.0
Unspecified Unspecified
urgent Severity urgent
: ER1
: 6.3.0
Assigned To: Shelly McGowan
Tomas Livora
: TestBlocker
Depends On:
Blocks: 1283109
  Show dependency treegraph
 
Reported: 2016-03-03 10:57 EST by Tomas Livora
Modified: 2016-09-20 01:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
WebLogic 12.1 server log (141.68 KB, text/plain)
2016-03-03 10:57 EST, Tomas Livora
no flags Details

  None (edit)
Description Tomas Livora 2016-03-03 10:57:08 EST
Created attachment 1132851 [details]
WebLogic 12.1 server log

Description of problem:
I am creating this BZ to distinguish an issue with REST endpoints on WebLogic 12.1 from the one reported on WebLogic 12.2. The discussion about WebLogic 12.1 was started in bug 1306309 and some log files were attached there. But it might not be the same issue. REST calls on WebLogic 12.2 return "404 Not found" while on WebLogic 12.1 the result is "500 Internal Server Error" with an exception stack trace.

Version-Release number of selected component (if applicable):
6.3.0 DR2

Steps to Reproduce:
1. Try any REST call.
2. See the response and the server log.

Actual results:
javax.naming.NameNotFoundException: Unable to resolve 'com.sun.jersey.config.CDIExtension'. Resolved 'com.sun.jersey.config'; remaining name 'CDIExtension'

Expected results:
no exceptions

Additional info:
You can see the attached server log. After the server with Business Central was started, two REST calls were made.
Comment 1 Marco Rietveld 2016-03-07 09:05:47 EST
Fixed. Commits: 

6.4.x: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/b96a1205
Comment 2 Tomas Livora 2016-03-17 10:09:38 EDT
Verified on BPM Suite 6.3.0 ER1

Note You need to log in before you can comment on or make changes to this bug.